#ifndef LOADER_H
#define LOADER_H

#include <string>
#include <vector>

class Image;
class Mesh;

class Loader
{
public:
    static std::string* loadTextFile(const std::string &filename);
    static Image* loadImage(const std::string &filename, bool hasAlpha = true);
    static std::vector<Mesh*> loadMesh(const std::string &filename);
    static bool loadMTL(const std::string &filename);
};

#endif // LOADER_H
